window.Gleam.initSearch([{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":"# Glacier&#39;s gleeunit\n\n**WARNING: DO NOT install `gleeunit` and `glacier_gleeunit` side by side in the same project.**\n\nThis is a fork of [`gleeunit`](https://hex.pm/packages/gleeunit) that allows\n`gleeunit` to be both called:\n\n1. with one or many given Gleam test modules instead of running all of them.\n2. as a library function with a list of test modules instead of just\n   via `gleam test` CLI.\n\nThe combination of both allows unit tests to be executed from `glacier` which figures out which test modules to run.\n\nAs a side effect you can run single test modules with `glacier_gleeunit` from\nthe CLI.\n\n`gleeunit` and `glacier_gleeunit` cannot be installed as a dependency at the same time, because:\n\n- `glacier_gleeunit` is meant as a straightforward replacement for `gleeunit`.\n- `glacier_gleeunit` tries to stay up to date with `gleeunit` upstream,\n   back-porting any changes made there.\n- As a consequence `glacier_gleeunit` uses the same Gleam module files and thus\n  the modules would collide if both are installed.\n\n**This is a dependency of [Glacier](https://hex.pm/packages/glacier), an incremental interactive unit testing tool for Gleam**.\n\n## Usage\n\nRemove `gleeunit` and add this package to your Gleam project.\n\n```shell\ngleam remove gleeunit\ngleam clean\ngleam add glacier_gleeunit --dev\n```\n\n* * *\n\nFor further usage instructions, see [gleeunit&#39;s original README.md](./README_ORIGINAL_GLEEUNIT.md).\n","url":"index.html"},{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":"# Changelog\n\n## v1.2.1001 - 2024-06-20\n\n- Merge in upstream gleeunit 1.2.0.\n\n## v1.1.2001 - 2024-04-11\n\n- Merge in upstream gleeunit 1.1.2.\n- Cleanups\n\n## v0.11.40 - 2024-04-11\n\n- Remove now unused dep gleam/erlang.\n\n## v0.11.30 - 2024-04-11\n\n- Updates for Gleam 1.0 to be used by Glacier 0.9 or later.\n\n## v0.11.10 - 2023-03-05\n\n- Merge with gleeunit main.\n\n## v0.11.0 - 2023-03-03\n\n- Dependency upgrade and code fixes to be in line with 0.27.0.\n\n## v0.10.12-glacier - 2023-01-31\n\n- Attempt to fix Deno testing on Glacier.\n\n## v0.10.1 - 2023-01-23\n\n- Fixed a bug where unicode characters would be printed incorrectly.\n\n## v0.10.3-glacier - 2023-01-19\n\n- Make hack a bit more generic\n\n## v0.10.2-glacier - 2023-01-19\n\n- Fixed some bugs around erlang that I missed.\n\n## v0.10.1-glacier - 2023-01-19\n\n- Fixed more bugs around argv that should not exist and files that are not valid gleam test modules.\n\n## v0.10.0-glacier - 2023-01-19\n\n- Merged upstream gleeunit 0.10.0.\n- Fixed running on deno with help of &lt;https://github.com/brettkolodny&gt; 💜.\n\n## v0.9.0-glacier - 2023-01-08\n\n- Fork of `Gleeunit` 0.9.0:\n  - This is a fork of [*Gleeunit*](https://hex.pm/packages/gleeunit) that allows it to\n    be called as a library/function with a list of test modules instead of\n    just via CLI.\n  - This fork is being used primarily as a test runner target by\n    &lt;https://hex.pm/packages/glacier&gt;.\n  - I will attempt to keep this in sync with `lpil/gleeunit`.\n","url":"changelog.html"},{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":"                                 Apache License\n                           Version 2.0, January 2004\n                        http://www.apache.org/licenses/\n\n   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   1. Definitions.\n\n      &quot;License&quot; shall mean the terms and conditions for use, reproduction,\n      and distribution as defined by Sections 1 through 9 of this document.\n\n      &quot;Licensor&quot; shall mean the copyright owner or entity authorized by\n      the copyright owner that is granting the License.\n\n      &quot;Legal Entity&quot; shall mean the union of the acting entity and all\n      other entities that control, are controlled by, or are under common\n      control with that entity. For the purposes of this definition,\n      &quot;control&quot; means (i) the power, direct or indirect, to cause the\n      direction or management of such entity, whether by contract or\n      otherwise, or (ii) ownership of fifty percent (50%) or more of the\n      outstanding shares, or (iii) beneficial ownership of such entity.\n\n      &quot;You&quot; (or &quot;Your&quot;) shall mean an individual or Legal Entity\n      exercising permissions granted by this License.\n\n      &quot;Source&quot; form shall mean the preferred form for making modifications,\n      including but not limited to software source code, documentation\n      source, and configuration files.\n\n      &quot;Object&quot; form shall mean any form resulting from mechanical\n      transformation or translation of a Source form, including but\n      not limited to compiled object code, generated documentation,\n      and conversions to other media types.\n\n      &quot;Work&quot; shall mean the work of authorship, whether in Source or\n      Object form, made available under the License, as indicated by a\n      copyright notice that is included in or attached to the work\n      (an example is provided in the Appendix below).\n\n      &quot;Derivative Works&quot; shall mean any work, whether in Source or Object\n      form, that is based on (or derived from) the Work and for which the\n      editorial revisions, annotations, elaborations, or other modifications\n      represent, as a whole, an original work of authorship. For the purposes\n      of this License, Derivative Works shall not include works that remain\n      separable from, or merely link (or bind by name) to the interfaces of,\n      the Work and Derivative Works thereof.\n\n      &quot;Contribution&quot; shall mean any work of authorship, including\n      the original version of the Work and any modifications or additions\n      to that Work or Derivative Works thereof, that is intentionally\n      submitted to Licensor for inclusion in the Work by the copyright owner\n      or by an individual or Legal Entity authorized to submit on behalf of\n      the copyright owner. For the purposes of this definition, &quot;submitted&quot;\n      means any form of electronic, verbal, or written communication sent\n      to the Licensor or its representatives, including but not limited to\n      communication on electronic mailing lists, source code control systems,\n      and issue tracking systems that are managed by, or on behalf of, the\n      Licensor for the purpose of discussing and improving the Work, but\n      excluding communication that is conspicuously marked or otherwise\n      designated in writing by the copyright owner as &quot;Not a Contribution.&quot;\n\n      &quot;Contributor&quot; shall mean Licensor and any individual or Legal Entity\n      on behalf of whom a Contribution has been received by Licensor and\n      subsequently incorporated within the Work.\n\n   2. Grant of Copyright License. Subject to the terms and conditions of\n      this License, each Contributor hereby grants to You a perpetual,\n      worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n      copyright license to reproduce, prepare Derivative Works of,\n      publicly display, publicly perform, sublicense, and distribute the\n      Work and such Derivative Works in Source or Object form.\n\n   3. Grant of Patent License. Subject to the terms and conditions of\n      this License, each Contributor hereby grants to You a perpetual,\n      worldwide, non-exclusive, no-charge, royalty-free, irrevocable\n      (except as stated in this section) patent license to make, have made,\n      use, offer to sell, sell, import, and otherwise transfer the Work,\n      where such license applies only to those patent claims licensable\n      by such Contributor that are necessarily infringed by their\n      Contribution(s) alone or by combination of their Contribution(s)\n      with the Work to which such Contribution(s) was submitted. If You\n      institute patent litigation against any entity (including a\n      cross-claim or counterclaim in a lawsuit) alleging that the Work\n      or a Contribution incorporated within the Work constitutes direct\n      or contributory patent infringement, then any patent licenses\n      granted to You under this License for that Work shall terminate\n      as of the date such litigation is filed.\n\n   4. Redistribution. You may reproduce and distribute copies of the\n      Work or Derivative Works thereof in any medium, with or without\n      modifications, and in Source or Object form, provided that You\n      meet the following conditions:\n\n      (a) You must give any other recipients of the Work or\n          Derivative Works a copy of this License; and\n\n      (b) You must cause any modified files to carry prominent notices\n          stating that You changed the files; and\n\n      (c) You must retain, in the Source form of any Derivative Works\n          that You distribute, all copyright, patent, trademark, and\n          attribution notices from the Source form of the Work,\n          excluding those notices that do not pertain to any part of\n          the Derivative Works; and\n\n      (d) If the Work includes a &quot;NOTICE&quot; text file as part of its\n          distribution, then any Derivative Works that You distribute must\n          include a readable copy of the attribution notices contained\n          within such NOTICE file, excluding those notices that do not\n          pertain to any part of the Derivative Works, in at least one\n          of the following places: within a NOTICE text file distributed\n          as part of the Derivative Works; within the Source form or\n          documentation, if provided along with the Derivative Works; or,\n          within a display generated by the Derivative Works, if and\n          wherever such third-party notices normally appear. The contents\n          of the NOTICE file are for informational purposes only and\n          do not modify the License. You may add Your own attribution\n          notices within Derivative Works that You distribute, alongside\n          or as an addendum to the NOTICE text from the Work, provided\n          that such additional attribution notices cannot be construed\n          as modifying the License.\n\n      You may add Your own copyright statement to Your modifications and\n      may provide additional or different license terms and conditions\n      for use, reproduction, or distribution of Your modifications, or\n      for any such Derivative Works as a whole, provided Your use,\n      reproduction, and distribution of the Work otherwise complies with\n      the conditions stated in this License.\n\n   5. Submission of Contributions. Unless You explicitly state otherwise,\n      any Contribution intentionally submitted for inclusion in the Work\n      by You to the Licensor shall be under the terms and conditions of\n      this License, without any additional terms or conditions.\n      Notwithstanding the above, nothing herein shall supersede or modify\n      the terms of any separate license agreement you may have executed\n      with Licensor regarding such Contributions.\n\n   6. Trademarks. This License does not grant permission to use the trade\n      names, trademarks, service marks, or product names of the Licensor,\n      except as required for reasonable and customary use in describing the\n      origin of the Work and reproducing the content of the NOTICE file.\n\n   7. Disclaimer of Warranty. Unless required by applicable law or\n      agreed to in writing, Licensor provides the Work (and each\n      Contributor provides its Contributions) on an &quot;AS IS&quot; BASIS,\n      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or\n      implied, including, without limitation, any warranties or conditions\n      of TITLE, NON-INFRINGEMENT, MERCHANTABILITY, or FITNESS FOR A\n      PARTICULAR PURPOSE. You are solely responsible for determining the\n      appropriateness of using or redistributing the Work and assume any\n      risks associated with Your exercise of permissions under this License.\n\n   8. Limitation of Liability. In no event and under no legal theory,\n      whether in tort (including negligence), contract, or otherwise,\n      unless required by applicable law (such as deliberate and grossly\n      negligent acts) or agreed to in writing, shall any Contributor be\n      liable to You for damages, including any direct, indirect, special,\n      incidental, or consequential damages of any character arising as a\n      result of this License or out of the use or inability to use the\n      Work (including but not limited to damages for loss of goodwill,\n      work stoppage, computer failure or malfunction, or any and all\n      other commercial damages or losses), even if such Contributor\n      has been advised of the possibility of such damages.\n\n   9. Accepting Warranty or Additional Liability. While redistributing\n      the Work or Derivative Works thereof, You may choose to offer,\n      and charge a fee for, acceptance of support, warranty, indemnity,\n      or other liability obligations and/or rights consistent with this\n      License. However, in accepting such obligations, You may act only\n      on Your own behalf and on Your sole responsibility, not on behalf\n      of any other Contributor, and only if You agree to indemnify,\n      defend, and hold each Contributor harmless for any liability\n      incurred by, or claims asserted against, such Contributor by reason\n      of your accepting any such warranty or additional liability.\n\n   END OF TERMS AND CONDITIONS\n\n   Copyright 2021, Louis Pilfold &lt;louis@lpil.uk&gt;.\n\n   Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);\n   you may not use this file except in compliance with the License.\n   You may obtain a copy of the License at\n\n       http://www.apache.org/licenses/LICENSE-2.0\n\n   Unless required by applicable law or agreed to in writing, software\n   distributed under the License is distributed on an &quot;AS IS&quot; BASIS,\n   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n   See the License for the specific language governing permissions and\n   limitations under the License.\n\n","url":"licence.html"},{"doc":"gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n Find and run all test functions for the current project using Erlang&#39;s EUnit\n test framework.\n\n Any Erlang or Gleam function in the `test` directory with a name ending in\n `_test` is considered a test function and will be run.\n\n If running on JavaScript tests will be run with a custom test runner.\n\nSynonyms:\ngleeunit.main\ngleeunit main","url":"gleeunit.html#main"},{"doc":"gleeunit","title":"run","content":"pub fn run(\n  test_module_files: List(String),\n  halts_on_error halts_on_error: Bool,\n) -&gt; Nil\n Similar to `main()` but meant to be called as a function not from cli:\n - Allows to specificy a list of test modules\n - Allows customization of the halt behavior\n\nSynonyms:\ngleeunit.run\ngleeunit run","url":"gleeunit.html#run"},{"doc":"gleeunit","title":"gleeunit","content":"","url":"gleeunit.html"},{"doc":"glacier_gleeunit","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\nglacier_gleeunit.main\nglacier_gleeunit main","url":"glacier_gleeunit.html#main"},{"doc":"glacier_gleeunit","title":"glacier_gleeunit","content":" This file exists merely as a proxy module and should not be merged into gleeunit\n","url":"glacier_gleeunit.html"},{"doc":"gleeunit/should","title":"be_error","content":"pub fn be_error(a: Result(a, b)) -&gt; b\n\nSynonyms:\ngleeunit/should.be_error\ngleeunit/should be_error","url":"gleeunit/should.html#be_error"},{"doc":"gleeunit/should","title":"be_false","content":"pub fn be_false(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_false\ngleeunit/should be_false","url":"gleeunit/should.html#be_false"},{"doc":"gleeunit/should","title":"be_none","content":"pub fn be_none(a: Option(a)) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_none\ngleeunit/should be_none","url":"gleeunit/should.html#be_none"},{"doc":"gleeunit/should","title":"be_ok","content":"pub fn be_ok(a: Result(a, b)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_ok\ngleeunit/should be_ok","url":"gleeunit/should.html#be_ok"},{"doc":"gleeunit/should","title":"be_some","content":"pub fn be_some(a: Option(a)) -&gt; a\n\nSynonyms:\ngleeunit/should.be_some\ngleeunit/should be_some","url":"gleeunit/should.html#be_some"},{"doc":"gleeunit/should","title":"be_true","content":"pub fn be_true(actual: Bool) -&gt; Nil\n\nSynonyms:\ngleeunit/should.be_true\ngleeunit/should be_true","url":"gleeunit/should.html#be_true"},{"doc":"gleeunit/should","title":"equal","content":"pub fn equal(a: a, b: a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.equal\ngleeunit/should equal","url":"gleeunit/should.html#equal"},{"doc":"gleeunit/should","title":"fail","content":"pub fn fail() -&gt; Nil\n\nSynonyms:\ngleeunit/should.fail\ngleeunit/should fail","url":"gleeunit/should.html#fail"},{"doc":"gleeunit/should","title":"not_equal","content":"pub fn not_equal(a: a, b: a) -&gt; Nil\n\nSynonyms:\ngleeunit/should.not_equal\ngleeunit/should not_equal","url":"gleeunit/should.html#not_equal"},{"doc":"gleeunit/should","title":"gleeunit/should","content":" A module for testing your Gleam code. The functions found here are\n compatible with the Erlang eunit test framework.\n\n More information on running eunit can be found in [the rebar3\n documentation](https://rebar3.org/docs/testing/eunit/).","url":"gleeunit/should.html"}]);